Page MenuHomePhabricator

Find two suitable wikis to talk to template editors about TemplateStyles
Closed, ResolvedPublic

Description

Background
For the initial deployment of TemplateStyles to content wikis we should identify two suitable wikis to talk to template editors about TemplateStyles on. Reasonably sized – not too small, because they need template editors, but not too big, because it makes an initial conversation where we can pay a lot of attention to the editors more difficult.

Contributors from the Swedish and Russian Wikipedias have shown interest.

Success criteria
A suggested plan (T164927#3726517) is once the PM of the project is ready, to approach the Swedish Wikipedia with a proposal to enable the feature. The same for Russian Wikipedia once done with Swedish. Contributors from the Russian Wikipedia have asked that a bug be addressed (T168333) prior to deployment. Successfully working with that community will need some resolution on that task.

Roughly:

  • Draft communication to Swedish and Russian Wikipedias about enabling this feature
  • Post to the local Village Pumps for community discussion
  • Address any questions or feedback from the community
  • Enable the feature

Timeline
Q2 (Oct-Dec 2017)

Event Timeline

Johan created this task.Jun 25 2017, 10:55 PM
Nirmos added a subscriber: Nirmos.Jul 3 2017, 12:58 AM

I have prepared 9 gadgets that only contain styles for templates, as can be seen at https://sv.wikipedia.org/wiki/MediaWiki-diskussion:Gadgets-definition#TemplateStyles

The idea is to convert them to TemplateStyles as soon as the extension is depolyed to svwiki. I would start with sparsely used stuff like https://sv.wikipedia.org/wiki/MediaWiki:Gadget-transborder.css (used by https://sv.wikipedia.org/wiki/Mall:Cirkeldiagram/t%C3%A5rtbit) and if that works, maybe migrate styles for more widely used templates as well.

But maybe you want a smaller project than svwiki for this task?

Johan added a comment.Jul 3 2017, 3:45 AM

@Nirmos No, I think Swedish Wikipedia is about the right size – it's not e.g. German, English or French Wikipedia, but big enough to actually get some feedback. (:

Iniquity added a subscriber: Iniquity.EditedJul 3 2017, 8:08 PM

Engineers of Russian Wikipedia are ready to switch on TemplateStyles ext on ruwiki if you will fix T168333 :)

@Nirmos, @Iniquity at the moment we don't have TemplateStyles incorporated in VE or - maybe less of a concern, not sure of the exact config on svwiki or ruwiki - Flow. You'd want that stuff in place before deployment, right?

I'm fairly certain Swedish Wikipedia would definitely want that, yes.

(Flow is not a concern for us at the moment.)

@Nirmos, @Iniquity at the moment we don't have TemplateStyles incorporated in VE or - maybe less of a concern, not sure of the exact config on svwiki or ruwiki - Flow. You'd want that stuff in place before deployment, right?

Note that VE should now be done (see T164790), and Flow is partially done (see T164791, currently Flow comments are done but summaries and the board header aren't yet).

dr0ptp4kt moved this task from Backlog to Adam Radar on the Reading-Admin board.Jul 20 2017, 9:34 PM
Iniquity added a comment.EditedJul 23 2017, 10:46 PM

@dr0ptp4kt yes, you are right. But only after T168333.

Johan moved this task from Backlog to Keep track of on the User-Johan board.Jul 26 2017, 3:23 AM

Is there anything blocking deployment to svwiki? Is there anything I can do to speed up the process? Would it help if I were to explain on svwiki's village pump what it is and why it's good?

Tgr added a subscriber: Tgr.Sep 11 2017, 6:01 AM

@Nirmos I thought an editor asked T168333 to be treated as a blocker (or am I confusing different wikis)?

That was ruwiki. I don't think T168333 is very important at all for svwiki. We don't have articles with 22 navboxes (https://ru.wikipedia.org/wiki/Загалло,_Марио). The Swedish equivalent (https://sv.wikipedia.org/wiki/Mário_Zagallo) actually has 8 navboxes, which surprises me, so maybe I'll wait with migrating navbox styles in particular, but that does not stop me from migrating other styles.

Anomie moved this task from Up next to Non-code on the TemplateStyles board.Sep 19 2017, 10:26 PM

What needs to still happen in order to decide these two wikis?

+ @Deskana is taking over product owner duties for rollout. There are a few details about near-term and medium term blocking tasks, and I defer to him about those.

I suggested we approach Swedish and then possibly Russian given the conversation. See T164927#3726517 for more information.

CKoerner_WMF updated the task description. (Show Details)Nov 1 2017, 3:50 PM
CKoerner_WMF renamed this task from Find two suitable wikis to talk to template editors about TemplateStyles on to Find two suitable wikis to talk to template editors about TemplateStyles.Nov 1 2017, 3:59 PM

@CKoerner_WMF, do you need any help with this task? Is there anything I can do to speed things up?

@Nirmos I need to write up a draft post to take to the Swedish community. A sort of, "Hello, we'd like to turn this thing on. Does anyone object?" sort of thing. I'll have some time today to do that and I'l update this task with a link. :)

CKoerner_WMF added a subscriber: Deskbanana.EditedNov 30 2017, 9:15 PM

Ok, draft written! Please edit and critique!

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/TemplateStyles_approach

@Deskana I'd like to provide a rough date for folks if they agree to turning it on. Since we're really close to the holiday I'd love your input on what's realistic. :)

Overall, very good. I am a little (just a little) bit worried about the word "complex" that you use twice. When I hear "complex", I think "complicated". Some people reading this might think we're complicating things, when what we really mean is that TemplateStyles allows non-administrators to write CSS that cannot be written inline.

...But maybe that necessitates explaining what "inline" means in this case, which to the average person actually might be complicated. Can't win :D

Great feedback @Nirmos, thank you. @Elitre also spoke to some clarifying points on the talk page. I gave it another review. If you have a moment, please let me know what you think.

https://meta.wikimedia.org/w/index.php?title=User%3ACKoerner_%28WMF%29%2FTemplateStyles_approach&type=revision&diff=17497797&oldid=17491573

Nirmos added a comment.Dec 2 2017, 1:51 AM

Perfect. It's good to go as far as I'm concerned.

I have the page marked for translation. I now need a time to deploy it. A gentle nudge to Mr. @Deskana for help there.

Translated.

@Nirmos Thank you for the translations! We have a few technical things the team needs to discuss (as mentioned). That will happen early in the new year. I'll get back to you then and let you know where we're at!

He7d3r added a subscriber: He7d3r.Dec 29 2017, 12:02 PM

@Nirmos, the team is getting ready to deploy the feature to Swedish Wikipedia. (See T176082).

I just posted our message to the Village Pump!

https://sv.wikipedia.org/wiki/Wikipedia:Bybrunnen#Ett_användbart_verktyg_för_mallredigerare

Elitre lowered the priority of this task from Normal to Low.
Elitre raised the priority of this task from Low to Normal.

Sorry, didn't mean to touch prio.

Elitre added a comment.Feb 9 2018, 2:13 PM

I do want to suggest that we could split this in two so the part about sv.wp can go in this month's column.

I don't know if this helps, but T176082 is/was the task for svwiki deployment.

Deskana closed this task as Resolved.Mar 1 2018, 5:58 PM

The task was to find two wikis and talk to users about deploying TemplateStyles. Two wikis were found—the Swedish and Russian Wikipedias—and it's now deployed it to one of the wikis and a deployment to the other is planned to happen soon. The tasks for those deployments are T176082: Deploy TemplateStyles to svwiki and T188198: Enable TemplateStyles on ruwiki on 2018-04-10. So, according to the title, this is now resolved.

Deskana moved this task from Non-code to Done on the TemplateStyles board.Mar 6 2018, 6:44 PM
Johan moved this task from Keep track of to Archive on the User-Johan board.Apr 25 2018, 4:57 PM